PipeWire: module_roc_source_data Struct Reference

PipeWire 0.3.37

Data Fields
module_roc_source_data Struct Reference
Collaboration diagram for module_roc_source_data:
[legend]

## Data Fields
struct pw_impl_module * | module
struct pw_work_queue * | work
struct spa_hook | module_listener
struct pw_properties * | props
struct pw_context * | module_context
struct pw_core * | core
struct spa_hook | core_listener
struct spa_hook | core_proxy_listener
struct pw_stream * | playback
struct spa_hook | playback_listener
struct pw_properties * | playback_props
unsigned int | do_disconnect:1
unsigned int | unloading:1
roc_address | local_addr
roc_address | local_source_addr
roc_address | local_repair_addr
roc_context * | context
roc_receiver * | receiver
char * | resampler_profile
char * | local_ip
int | local_source_port
int | local_repair_port
int | sess_latency_msec

## Field Documentation

## ◆ context

roc_context* module_roc_source_data::context

## ◆ core

struct pw_core* module_roc_source_data::core

## ◆ core_listener

struct spa_hook module_roc_source_data::core_listener

## ◆ core_proxy_listener

struct spa_hook module_roc_source_data::core_proxy_listener

## ◆ do_disconnect

unsigned int module_roc_source_data::do_disconnect

## ◆ local_addr

roc_address module_roc_source_data::local_addr

## ◆ local_ip

char* module_roc_source_data::local_ip

## ◆ local_repair_addr

roc_address module_roc_source_data::local_repair_addr

## ◆ local_repair_port

int module_roc_source_data::local_repair_port

## ◆ local_source_addr

roc_address module_roc_source_data::local_source_addr

## ◆ local_source_port

int module_roc_source_data::local_source_port

## ◆ module

struct pw_impl_module* module_roc_source_data::module

## ◆ module_context

struct pw_context* module_roc_source_data::module_context

## ◆ module_listener

struct spa_hook module_roc_source_data::module_listener

## ◆ playback

struct pw_stream* module_roc_source_data::playback

## ◆ playback_listener

struct spa_hook module_roc_source_data::playback_listener

## ◆ playback_props

struct pw_properties* module_roc_source_data::playback_props

## ◆ props

struct pw_properties* module_roc_source_data::props

## ◆ receiver

roc_receiver* module_roc_source_data::receiver

## ◆ resampler_profile

char* module_roc_source_data::resampler_profile

## ◆ sess_latency_msec

int module_roc_source_data::sess_latency_msec

## ◆ unloading

unsigned int module_roc_source_data::unloading

## ◆ work

struct pw_work_queue* module_roc_source_data::work

The documentation for this struct was generated from the following file:

- module-roc-source.c